Bug 461873 - Thunderbird crash when type space after a smiley face
Thunderbird crash when type space after a smiley face
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 23:34 EDT by Vivian Bian
Modified: 2009-07-14 12:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugreport (518.82 KB, text/plain)
2008-09-10 23:34 EDT, Vivian Bian
no flags Details
This is the txt file,that provided by the bug report dialog (16.00 KB, text/plain)
2008-09-12 02:04 EDT, Vivian Bian
no flags Details
This is the txt file records the error information copied from the terminal (1.53 KB, text/plain)
2008-09-12 02:06 EDT, Vivian Bian
no flags Details
This is the txt file records the GDB error information copied from the terminal (2.67 KB, text/plain)
2008-09-12 02:07 EDT, Vivian Bian
no flags Details

  None (edit)
Description Vivian Bian 2008-09-10 23:34:57 EDT
Created attachment 316395 [details]
bugreport

Description of problem:

   When the crash occurred,I was writing a email , and I typed some words,and insert a smiley face into the canvas,and type the space key but no use, and then there was a bug report dialog popped up ,asking me to save the bug ,I did so ,with the Thunderbird closed following.  

Version-Release number of selected component (if applicable):
Thunderbird-2.0.0.16-1.fc9.i386

How reproducible:
seems always

Steps to Reproduce:
1.login the thunderbird via typing thunderbird or clicking the icon in Applications Menu.

2.Click the Write button in the thunderbird menu bar to create a new email as usual,typing the target,the subject,and then the body text.Mentioned,when type the body text, do not type a space when you want to insert a smiley face there.

For example:
in the body text, we write:
Hello world:-)  

The :-) can be regarded as a smiley face

3.then click the space key after the smiley face continually.Wait a moment , a bug report dialog may pop up.
If we type the letter after the smiley face without a space , the email could be created normally.
  
Actual results:

the thunderbird can not be used at this time 

Expected results:
space could be inputted and we can send the email normally

Additional info:the thunderbird-2.0.0.16-1.fc9.x86_64 could reproduce the bug ,too
Comment 1 Matěj Cepl 2008-09-11 03:20:37 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Unfortunately, I cannot reproduce it here with the same version of TB on F9, so your backtrace would be the only information we have.

First of all, try to reproduce the bug while running thunderbird in safe mode (run thunderbird -safe-mode from the command line). If you are not able to reproduce it then, I would blame some of extensions you have installed.

Please install thunderbird-debuginfo (debuginfo-install is from yum-utils package).

	debuginfo-install thunderbird

Then run thunderbird with a parameter -g. That will start thunderbird running inside of gdb debugger. Then use command run and do whatever you did to make thunderbird crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Vivian Bian 2008-09-12 02:01:53 EDT
Thanks for your reply.And I tried it again to reproduce the bug.
First,in the safe mode:
Step:
1.Write a new email,also insert a smiley face into the content without typing the space before.
2.Type the space after the smiley face continually

A moment later,the bug report dialog popped up.And there was some information in the terminal.I've copied that and attached them in the attachment.

Second,install the thunderbird-debuginfo,and then did the reproduce:
Step:
1.typed thunderbird -g in the termenal,and then type run to start up the thunderbird.
2.Write a new email,also insert a smiley face into the content without typing the space before.
3.Type the space after the smiley face continually

There wasn't a bug report dialog popped up , but the thunderbird could not be used from this time,we must close it by force.And there was a error info in the terminal, and I copied them and also attach them into the attachment.

Please check them again.

Thanks all the same!!
Comment 3 Vivian Bian 2008-09-12 02:04:44 EDT
Created attachment 316531 [details]
This is the txt file,that provided  by the bug report dialog
Comment 4 Vivian Bian 2008-09-12 02:06:18 EDT
Created attachment 316532 [details]
This is the txt file records the error information copied from the terminal
Comment 5 Vivian Bian 2008-09-12 02:07:29 EDT
Created attachment 316533 [details]
This is the txt file records the GDB error information copied from the terminal
Comment 6 Vivian Bian 2008-09-12 02:11:53 EDT
Mentioned :
In the fedora 9 x86_64 system ,when we use the thunderbird to write a letter,and insert a smiley face after a word without any space. We can't type any space after the smiley face unless you type some other words after that.But the thunderbird doesn't crash.
Comment 7 Vivian Bian 2008-09-12 02:12:45 EDT
But in the fedora 9 i386 system , the crash occurred.
Comment 8 Matěj Cepl 2008-09-12 03:19:54 EDT
(In reply to comment #2)
> Please check them again.

The information looks very interesting and you have certainly persuaded me, that we have a problem. Passing the batton to developers to let them to their best.
Comment 9 Matěj Cepl 2008-09-12 03:46:57 EDT
One small question -- could you try to switch all accessibility options (if you actually don't need them) and check whether it helps? Take a look at System/Settings/Personal/Assistive Technologies
Comment 10 Vivian Bian 2008-09-16 01:20:50 EDT
Thanks for your suggestion,I've check the accessibilities,and it seemed no use for the bug.

Thank you all the same.
Comment 12 Ola Thoresen 2009-04-27 04:36:36 EDT
I have a similar problem with thunderbird-2.0.0.21-1.fc10.x86_64 on Rawhide (can't use thunderbird-3 becoause of https://bugzilla.redhat.com/show_bug.cgi?id=493000 )

Whenever I type "ed " ("ed<space>" without the quotes) in an email thunderbird dies.
This happens even in safe-mode:

$ thunderbird -safe-mode
/usr/lib64/thunderbird-2.0.0.21/run-mozilla.sh: line 131:  4580 Segmentation fault      "$prog" ${1+"$@"}

It also happens if I paste text containing "ed " into an email, and does not matter if it is part of a word or the only text in the email. 

FWIW. all accessibility options are turned off, and all other rawhide packages are up to date.
Comment 13 Matěj Cepl 2009-04-27 12:52:53 EDT
(In reply to comment #12)

> Whenever I type "ed " ("ed<space>" without the quotes) in an email thunderbird
> dies.
> This happens even in safe-mode:

First of all, could we get output of the command

	rpm -qa *xulrun* *thunderbird* *mozilla* *flash* *plugin*

Please also install thunderbird-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install thunderbird

Then run thunderbird with a parameter -g. That will start thunderbird running inside of gdb debugger. Then use command run and do whatever you did to make thunderbird crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 14 Vivian Bian 2009-04-28 04:00:32 EDT
rpm -qa *xulrun* *thunderbird* *mozilla* *flash* *plugin*
java-1.6.0-openjdk-plugin-1.6.0.0-15.b14.fc10.x86_64
xulrunner-1.9.0.9-1.fc10.x86_64
konq-plugins-4.2.2-1.fc10.x86_64
thunderbird-debuginfo-2.0.0.21-1.fc10.x86_64
mozilla-filesystem-1.9-2.fc10.x86_64
plymouth-system-plugin-0.6.0-0.2008.11.17.3.fc10.x86_64
gstreamer-plugins-good-0.10.13-1.fc10.x86_64
alsa-plugins-pulseaudio-1.0.18-2.fc10.x86_64
kipi-plugins-0.2.0-2.fc10.x86_64
xulrunner-devel-1.9.0.9-1.fc10.x86_64
PackageKit-yum-plugin-0.3.15-2.fc10.x86_64
totem-mozplugin-2.24.3-1.fc10.x86_64
gstreamer-plugins-ugly-0.10.10-2.fc10.x86_64
thunderbird-2.0.0.21-1.fc10.x86_64
plymouth-plugin-label-0.6.0-0.2008.11.17.3.fc10.x86_64
gstreamer-plugins-base-0.10.21-2.fc10.x86_64
PackageKit-gstreamer-plugin-0.3.15-2.fc10.x86_64
setroubleshoot-plugins-2.0.12-1.fc10.noarch
anaconda-yum-plugins-1.0-3.fc10.noarch
gstreamer-plugins-flumpegdemux-0.10.15-4.fc10.x86_64
plymouth-plugin-solar-0.6.0-0.2008.11.17.3.fc10.x86_64
gstreamer-plugins-bad-0.10.9-1.fc10.x86_64
nspluginwrapper-1.3.0-2.fc10.x86_64
Comment 15 Ola Thoresen 2009-04-28 04:23:06 EDT
rpm -qa *xulrun* *thunderbird* *mozilla* *flash* *plugin*

alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
anaconda-yum-plugins-1.0-4.fc11.noarch
gstreamer-plugins-base-0.10.22-2.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
gstreamer-plugins-good-0.10.14-2.fc11.x86_64
gutenprint-plugin-5.2.3-5.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.6-8.fc11.x86_64
PackageKit-yum-plugin-0.4.6-8.fc11.x86_64
plymouth-plugin-fade-in-0.7.0-0.2009.03.10.3.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.03.10.3.fc11.x86_64
plymouth-plugin-pulser-0.7.0-0.2009.03.10.3.fc11.x86_64
plymouth-plugin-solar-0.7.0-0.2009.03.10.3.fc11.x86_64
plymouth-plugin-spinfinity-0.7.0-0.2009.03.10.3.fc11.x86_64
setroubleshoot-plugins-2.0.16-1.fc11.noarch
thunderbird-2.0.0.21-1.fc10.x86_64
xfce4-mailwatch-plugin-1.1.0-3.fc11.x86_64
xulrunner-1.9.1-0.11.beta3.fc11.x86_64
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
yum-plugin-refresh-updatesd-1.1.21-2.fc11.noarch



I think the bug was related to spell-checking.
For some reason "Check spelling as you type" was enabled and language set to en_HK.  After disabling this thunderbird does no longer crash.

Do you want me to enable it and du the backtraces anyway?


Rgds
Comment 16 Vivian Bian 2009-04-28 04:35:15 EDT
(In reply to comment #13)
with the thunderbird 2.0.0.21-1 in both rhel5u3 and fedora10 ,I could not reproduce this bug again, but could not input the space after a smiley face if there is no space between the words and smiley face.
For example,
compose a mail with the following content
asdfasdfa:)  (attention: :) stands for a smiley face)


Worth mentioned,I could not reproduce the comment 12 issues on any of my box, ed<space> is ok for me
Comment 17 Bug Zapper 2009-06-09 22:41:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-07-14 12:52:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.